Bug 192568 - Review Request: perl-File-Type
Review Request: perl-File-Type
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 192577
  Show dependency treegraph
 
Reported: 2006-05-20 16:41 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-23 17:50:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-05-20 16:41:26 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-File-Type/perl-File-Type.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-File-Type-0.22-1.src.rpm
Description:
File::Type uses magic numbers (typically at the start of a file) to
determine the MIME type of that file.
Comment 1 Jason Tibbitts 2006-05-21 12:59:15 EDT
A couple of questions:

Any idea why Module::Build shows up in the final requires list and if it really
needs to be there?
What on Earth is the NINJA file for?

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* license field matches the actual license.
* license is open source-compatible. Text not included upstream.
* source files match upstream:
   4be3b0b7000b325c60351fcc8a04815d  File-Type-0.22.tar.gz
   4be3b0b7000b325c60351fcc8a04815d  File-Type-0.22.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
? final provides and requires are sane:
   perl(File::Type) = 0.22
   perl(File::Type::Builder) = 0.11
   perl-File-Type = 0.22-1.fc6
  -
   perl(:MODULE_COMPAT_5.8.8)
   perl(IO::File)
   perl(strict)
   perl(warnings)
   rpmlib(CompressedFileNames) <= 3.0.4-1
   rpmlib(PayloadFilesHavePrefix) <= 4.0-1
   rpmlib(VersionedDependencies) <= 3.0.3-1
   perl(Module::Build)
   rpmlib(CompressedFileNames) <= 3.0.4-1
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=3, Tests=58,  0 wallclock secs ( 0.13 cusr +  0.06 csys =  0.19 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 2 Steven Pritchard 2006-05-22 17:23:39 EDT
(In reply to comment #1)
> Any idea why Module::Build shows up in the final requires list and if it really
> needs to be there?

No clue.  I'm not seeing that.

$ rpm -qp --requires perl-File-Type-0.22-2.noarch.rpm
perl(:MODULE_COMPAT_5.8.8)  
perl(IO::File)  
perl(strict)  
perl(warnings)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
$ rpm -qp --provides perl-File-Type-0.22-2.noarch.rpm 
perl(File::Type) = 0.22
perl(File::Type::Builder) = 0.11
perl-File-Type = 0.22-2

Are you sure you aren't picking up BuildRequires?

> What on Earth is the NINJA file for?

Something that wasn't excluded, but should have been.  Fixed in -2.

http://ftp.kspei.com/pub/steve/rpms/perl-File-Type-0.22-2.src.rpm
Comment 3 Jason Tibbitts 2006-05-23 10:01:17 EDT
For some reason I didn't see the bugzilla announcement about your comment. 
Sorry for not responding eariler.

Thanks for excising the ninjas.

I think the reasoun Module::Build showed up in the dependencies was because I
somehow pulled in the requirements of the src.rpm as well; my fault.  Everything
looks good now.

APPROVED
Comment 4 Steven Pritchard 2006-05-23 17:50:37 EDT
Imported into CVS, branches created, and builds requested.

Note You need to log in before you can comment on or make changes to this bug.